Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Interface AdminServicesDef

public interface AdminServicesDef

The AdminServicesDef defines the interface for administrative services in WebLogic.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `cancelShut()` Cancels a pending shutdown of a WebLogic Server.
`void` | `disableWatchDog()` Disables this T3Client as an administrative WatchDog.
`void` | `enableWatchDog(int intervalSecs)` Enables a T3Client as an administrative WatchDog.
`java.lang.String` | `licenses()` Gets information about the licenses of a WebLogic Server.
`java.lang.String` | `lockServer(java.lang.String message)` Locks the Server against all non-privileged logins.
`java.lang.String` | `ping(byte[] echo)` Pings a WebLogic Server with the specified array of bytes as a ping message.
`java.lang.String` | `shut()` Shuts down a WebLogic Server from a T3Client immediately.
`java.lang.String` | `shut(int waitSecs)` Shuts down a WebLogic Server from a T3Client after a certain period of time.
`java.lang.String` | `shut(java.lang.String message, int waitSecs)` Shuts down the WebLogic Server with the specified message after the specified time interval.
`void` | `threadDump()`
`java.lang.String` | `unlockServer()` Unlocks the Server after a lock operation, to make it available for logins by all users.
`java.lang.String` | `version()` Gets the version of a WebLogic Server from a T3Client.

Method Detail

### ping

    public java.lang.String ping(byte[] echo)
                          throws java.lang.Exception

  Pings a WebLogic Server with the specified array of bytes as a ping message.

  Parameters:
    `echo` - Byte array to ping the server with
  Returns:
    An administrator message that returns the success status of the ping
  Throws:
    java.lang.Exception - if there is an error

### shut

    public java.lang.String shut(int waitSecs)
                          throws java.lang.Exception

  Shuts down a WebLogic Server from a T3Client after a certain period of time.

  This is a privileged method that can only be invoked on a T3Client that has specified the T3User "system".

  Parameters:
    `waitSecs` - Number of seconds to wait before shutting down
  Returns:
    Message indicating status of the shutdown request
  Throws:
    java.lang.Exception - if there is an error

### shut

    public java.lang.String shut()
                          throws java.lang.Exception

  Shuts down a WebLogic Server from a T3Client immediately.

  This is a privileged method that can only be invoked on a T3Client that has specified the T3User "system".

  Returns:
    Message indicating status of the shutdown request
  Throws:
    java.lang.Exception - if there is an error

### shut

    public java.lang.String shut(java.lang.String message,
                                 int waitSecs)
                          throws java.lang.Exception

  Shuts down the WebLogic Server with the specified message after the specified time interval.

  Parameters:
    `message` - Message to include in the exception for subsequent login attempts
    `waitSecs` - Number of seconds to wait before shutting down
  Throws:
    java.lang.Exception - if there is an error

### cancelShut

    public java.lang.String cancelShut()
                                throws java.lang.Exception

  Cancels a pending shutdown of a WebLogic Server.

  This is a privileged method that can only be invoked by a T3Client that has connected with the T3User "system" and the system user's password.

  Returns:
    Message indicating status of the cancel request
  Throws:
    java.lang.Exception - if there is an error

### lockServer

    public java.lang.String lockServer(java.lang.String message)
                                throws java.lang.Exception

  Locks the Server against all non-privileged logins. All subsequent logins will get an exception with the specified "message" string in it. Currently logged in users are unaffected.

  Parameters:
    `message` - Message string to include in the exception for subsequent login attempts
  Returns:
    Message indicating status of lock request
  Throws:
    java.lang.Exception - if there is an error

### unlockServer

    public java.lang.String unlockServer()
                                  throws java.lang.Exception

  Unlocks the Server after a lock operation, to make it available for logins by all users.

  Returns:
    Message indicating status of unlock request
  Throws:
    java.lang.Exception - if there is an error

### licenses

    public java.lang.String licenses()
                              throws java.lang.Exception

  Gets information about the licenses of a WebLogic Server.

  Returns:
    License information
  Throws:
    java.lang.Exception - if there is an error

### version

    public java.lang.String version()
                             throws java.lang.Exception

  Gets the version of a WebLogic Server from a T3Client.

  Returns:
    Version information
  Throws:
    java.lang.Exception - if there is an error

### enableWatchDog

    public void enableWatchDog(int intervalSecs)
                        throws java.lang.Exception

  Enables a T3Client as an administrative WatchDog.

  When a client is a WatchDog, the client is responsible for invoking the ping() method every intervalSecs seconds. The ping() will check that the WebLogic Server is still alive and reset the WebLogic Server's internal WatchDog timer. If the WebLogic Server fails to receive a ping within this interval, it will restart itself.

  It is bad form to only call ping() every intervalSecs. If there is a transient network problem, then you will have squandered your only chance to restart the server. In practice, a WatchDog should send a ping three or four times per intervalSecs. So, if intervalSecs is 60, you probably want to invoke ping() every 15-20 seconds.

  Note that the T3Administrator can (and probably should) invoke T3Client.setSoftDisconnectTimeoutMins(int minutes) to some number greater than intervalSecs*60, and then periodically T3Client.disconnect(), and then instantiate a new T3Client with the same workspaceID. This will permit the WatchDog to not only test the existing socket to the WebLogic Server, but also the ability of T3Clients to connect to WebLogic.

  This is a privileged method, and can only be invoked on a T3Client that has specified a T3User of "system" and supplies the system password.

  Parameters:
    `int` - Seconds between ping
  Throws:
    java.lang.Exception - if there is an error

### disableWatchDog

    public void disableWatchDog()
                         throws java.lang.Exception

  Disables this T3Client as an administrative WatchDog. You must do this before you exit your program or permanently disconnect(), otherwise the WebLogic Server will restart itself.

  This is a privileged method, and can only be invoked on a T3Client that has specified a T3User of "system".

  Throws:
    java.lang.Exception - if there is an error

### threadDump

    public void threadDump()
                    throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD